Product analytics
curl --request GET \
--url https://api.beta.suby.fi/v3/products/{id}/analytics \
--header 'X-Suby-Api-Key: <api-key>'import requests
url = "https://api.beta.suby.fi/v3/products/{id}/analytics"
headers = {"X-Suby-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Suby-Api-Key': '<api-key>'}};
fetch('https://api.beta.suby.fi/v3/products/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"currency": "<string>",
"hasCrypto": true,
"startDate": 123,
"endDate": 123,
"series": [
{
"date": "<string>",
"full": "<string>",
"fiatCents": 123,
"cryptoCents": 123,
"refundCents": 123
}
],
"stats": {
"revenueCents": 123,
"payments": 123,
"uniqueCustomers": 123,
"refunds": 123,
"refundAmountCents": 123,
"cryptoPct": 123,
"cryptoRevenueCents": 123,
"activeSubscriptions": 123,
"mrrCents": 123,
"prevLabel": "<string>",
"revenueDelta": 123,
"paymentsDelta": 123
}
},
"message": "<string>"
}{
"success": false,
"error": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}{
"success": false,
"error": "NOT_FOUND",
"message": "Resource not found"
}Products
Product analytics
GET
/
v3
/
products
/
{id}
/
analytics
Product analytics
Authorizations
Secret API key. sk_live_… (production) or sk_sandbox_… (sandbox).
Path Parameters
Example:
"pro_abc123"
Query Parameters
Window start, epoch milliseconds.
Required range:
x >= 0Window end, epoch milliseconds.
Required range:
x >= 0Was this page helpful?
⌘I

